Name:          qtxdg-tools
Version:       4.0.0
Release:       1mamba
Summary:       User tools for libqtxdg
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/qtxdg-tools
Source:        https://github.com/lxqt/qtxdg-tools.git/%{version}/qtxdg-tools-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
qtxdg-tools contains a CLI MIME tool, qtxdg-mat, for handling file associations and opening files with their default applications.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/qtxdg-mat
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_datadir}/cmake/qtxdg-tools
%{_datadir}/cmake/qtxdg-tools/qtxdg-tools-*.cmake
%doc README.md


%changelog
* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 4.0.0-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Thu Apr 20 2023 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.1-1mamba
- package created using the webbuild interface
